Package org.flowable.engine.migration

# Interface ProcessInstanceMigrationDocumentConstants

public interface ProcessInstanceMigrationDocumentConstants

Author:
  Dennis, martin.grofcik

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `ACTIVITY_ID_JSON_PROPERTY`
  `static final String`
  `ACTIVITY_MAPPINGS_JSON_SECTION`
  `static final String`
  `CALL_ACTIVITY_PROCESS_DEFINITION_VERSION_JSON_PROPERTY`
  `static final String`
  `ENABLE_ACTIVITY_MAPPINGS_JSON_SECTION`
  `static final String`
  `FROM_ACTIVITY_ID_JSON_PROPERTY`
  `static final String`
  `FROM_ACTIVITY_IDS_JSON_PROPERTY`
  `static final String`
  `IN_PARENT_PROCESS_OF_CALL_ACTIVITY_JSON_PROPERTY`
  `static final String`
  `IN_SUB_PROCESS_OF_CALL_ACTIVITY_ID_JSON_PROPERTY`
  `static final String`
  `LANGUAGE`
  `static final String`
  `LOCAL_VARIABLES_JSON_SECTION`
  `static final String`
  `NEW_ASSIGNEE_JSON_PROPERTY`
  `static final String`
  `POST_UPGRADE_JAVA_DELEGATE`
  `static final String`
  `POST_UPGRADE_JAVA_DELEGATE_EXPRESSION`
  `static final String`
  `POST_UPGRADE_SCRIPT`
  `static final String`
  `PRE_UPGRADE_JAVA_DELEGATE`
  `static final String`
  `PRE_UPGRADE_JAVA_DELEGATE_EXPRESSION`
  `static final String`
  `PRE_UPGRADE_SCRIPT`
  `static final String`
  `PROCESS_INSTANCE_VARIABLES_JSON_SECTION`
  `static final String`
  `SCRIPT`
  `static final String`
  `TO_ACTIVITY_ID_JSON_PROPERTY`
  `static final String`
  `TO_ACTIVITY_IDS_JSON_PROPERTY`
  `static final String`
  `TO_PROCESS_DEFINITION_ID_JSON_PROPERTY`
  `static final String`
  `TO_PROCESS_DEFINITION_KEY_JSON_PROPERTY`
  `static final String`
  `TO_PROCESS_DEFINITION_TENANT_ID_JSON_PROPERTY`
  `static final String`
  `TO_PROCESS_DEFINITION_VERSION_JSON_PROPERTY`

- ## Field Details

  - ### TO_PROCESS_DEFINITION_ID_JSON_PROPERTY

    static final String TO_PROCESS_DEFINITION_ID_JSON_PROPERTY
    See Also:
      - Constant Field Values

  - ### TO_PROCESS_DEFINITION_KEY_JSON_PROPERTY

    static final String TO_PROCESS_DEFINITION_KEY_JSON_PROPERTY
    See Also:
      - Constant Field Values

  - ### TO_PROCESS_DEFINITION_VERSION_JSON_PROPERTY

    static final String TO_PROCESS_DEFINITION_VERSION_JSON_PROPERTY
    See Also:
      - Constant Field Values

  - ### TO_PROCESS_DEFINITION_TENANT_ID_JSON_PROPERTY

    static final String TO_PROCESS_DEFINITION_TENANT_ID_JSON_PROPERTY
    See Also:
      - Constant Field Values

  - ### FROM_ACTIVITY_ID_JSON_PROPERTY

    static final String FROM_ACTIVITY_ID_JSON_PROPERTY
    See Also:
      - Constant Field Values

  - ### FROM_ACTIVITY_IDS_JSON_PROPERTY

    static final String FROM_ACTIVITY_IDS_JSON_PROPERTY
    See Also:
      - Constant Field Values

  - ### TO_ACTIVITY_ID_JSON_PROPERTY

    static final String TO_ACTIVITY_ID_JSON_PROPERTY
    See Also:
      - Constant Field Values

  - ### TO_ACTIVITY_IDS_JSON_PROPERTY

    static final String TO_ACTIVITY_IDS_JSON_PROPERTY
    See Also:
      - Constant Field Values

  - ### NEW_ASSIGNEE_JSON_PROPERTY

    static final String NEW_ASSIGNEE_JSON_PROPERTY
    See Also:
      - Constant Field Values

  - ### ACTIVITY_ID_JSON_PROPERTY

    static final String ACTIVITY_ID_JSON_PROPERTY
    See Also:
      - Constant Field Values

  - ### IN_SUB_PROCESS_OF_CALL_ACTIVITY_ID_JSON_PROPERTY

    static final String IN_SUB_PROCESS_OF_CALL_ACTIVITY_ID_JSON_PROPERTY
    See Also:
      - Constant Field Values

  - ### CALL_ACTIVITY_PROCESS_DEFINITION_VERSION_JSON_PROPERTY

    static final String CALL_ACTIVITY_PROCESS_DEFINITION_VERSION_JSON_PROPERTY
    See Also:
      - Constant Field Values

  - ### IN_PARENT_PROCESS_OF_CALL_ACTIVITY_JSON_PROPERTY

    static final String IN_PARENT_PROCESS_OF_CALL_ACTIVITY_JSON_PROPERTY
    See Also:
      - Constant Field Values

  - ### PRE_UPGRADE_JAVA_DELEGATE

    static final String PRE_UPGRADE_JAVA_DELEGATE
    See Also:
      - Constant Field Values

  - ### PRE_UPGRADE_JAVA_DELEGATE_EXPRESSION

    static final String PRE_UPGRADE_JAVA_DELEGATE_EXPRESSION
    See Also:
      - Constant Field Values

  - ### PRE_UPGRADE_SCRIPT

    static final String PRE_UPGRADE_SCRIPT
    See Also:
      - Constant Field Values

  - ### POST_UPGRADE_JAVA_DELEGATE

    static final String POST_UPGRADE_JAVA_DELEGATE
    See Also:
      - Constant Field Values

  - ### POST_UPGRADE_JAVA_DELEGATE_EXPRESSION

    static final String POST_UPGRADE_JAVA_DELEGATE_EXPRESSION
    See Also:
      - Constant Field Values

  - ### POST_UPGRADE_SCRIPT

    static final String POST_UPGRADE_SCRIPT
    See Also:
      - Constant Field Values

  - ### LANGUAGE

    static final String LANGUAGE
    See Also:
      - Constant Field Values

  - ### SCRIPT

    static final String SCRIPT
    See Also:
      - Constant Field Values

  - ### ACTIVITY_MAPPINGS_JSON_SECTION

    static final String ACTIVITY_MAPPINGS_JSON_SECTION
    See Also:
      - Constant Field Values

  - ### ENABLE_ACTIVITY_MAPPINGS_JSON_SECTION

    static final String ENABLE_ACTIVITY_MAPPINGS_JSON_SECTION
    See Also:
      - Constant Field Values

  - ### LOCAL_VARIABLES_JSON_SECTION

    static final String LOCAL_VARIABLES_JSON_SECTION
    See Also:
      - Constant Field Values

  - ### PROCESS_INSTANCE_VARIABLES_JSON_SECTION

    static final String PROCESS_INSTANCE_VARIABLES_JSON_SECTION
    See Also:
      - Constant Field Values